/*******************************************************************************
* Copyright 2004-2007 LSI Logic Corporation.
*
* This program is free software; you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the
* Free Software Foundation,  version 2 of the License.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
********************************************************************************/
/*******************************************************************************

NAME            mppUtil26p_sysdep.h
SUMMARY         %description%
VERSION         %version: 2 %
UPDATE DATE     %date_modified: Mon Feb 26 17:22:17 2007 %
PROGRAMMER      %created_by:    sdachepa %


DESCRIPTION: System Dependent Header file to support the mppUtil Utility

INCLUDE FILES:

NOTES:

RESTRICTIONS:

SEE ALSO:

REFERENCE:

IMPLEMENTATION:

MODIFICATION HISTORY:

*******************************************************************************/


#ifndef __INCmppUtil26p_sysdep
#define __INCmppUtil26p_sysdep

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <fcntl.h>
#include <errno.h>
#include <unistd.h>
#include <time.h>
#include <linux/types.h>
#include <linux/stat.h>

#include <string.h>
#include <sys/stat.h>
#include <unistd.h>
#include <linux/kdev_t.h>
#include <dirent.h>

/***  INCLUDES  ***/  

/***  CONSTANT DEFINITIONS  ***/
#define __SRCmppUtil_Sysdep

/***  MACRO DEFINITIONS  ***/
#define TRUE                               1
#define FALSE                              0

#define MPPSYS_UTIL_USAGE   "[-I hostid] [-V] [-U]" /* [-C] is also an option but is not displayed in Usage */ 
#define MPPSYS_UTIL_CMDLINE_ARGS	"I:CVU"
#define MPPUPPER_SYS_FILE "/sys/class/mppUpper/mppUpper/dev"
#define MPP_MAX_PATH 200
#define MPPSYS_UTIL_WWN_DIR_NAME "/var/mpp/"

typedef char * MPP_STRING;
typedef int HANDLE;
typedef int MPP_FILE_HANDLE;
typedef struct tm tm_t;
#define MPP_OPEN_FILE_ERROR -1



/***  TYPE DEFINITIONS  ***/

typedef struct mppLnx_FileAttributes
{
   char              *fileName;
   char              *version;
   char              *digest;
}  mppLnx_FileAttributes_t;


int utilMakeMppDevNode(void);
/***  GLOBALS  ***/ 


#endif        /* End of __INCmppUtil26p_sysdep */
